API
API Reference
Contacts
Update Contact

Update Contact

Update an existing contact in Customerscore.

For interactive API documentation, see the Swagger reference (opens in a new tab).

Endpoint

MethodURL
PUThttps://api.customerscore.io/api/v1/customer/{customerExternalId}/contact/{contactExternalId}

Path Parameters

ParameterTypeRequiredDescription
customerExternalIdstringYesCustomer external ID
contactExternalIdstringYesContact external ID

Request Body

All fields in the request body are optional. Only include the fields you want to update.

FieldTypeRequiredDescription
namestringNoUpdated contact name

Example Request

curl -X PUT "https://api.customerscore.io/api/v1/customer/12345/contact/C12345" \
  -H "Content-Type: application/json" \
  -H "customerscore-key: your-generated-key" \
  -d '{
    "name": "John Smith"
  }'

Response Codes

CodeDescription
200The contact has been successfully updated
400Bad request
401Unauthorized - Missing customerscore-key in the header
403Forbidden - Invalid key
404Customer or contact not found
405Method Not Allowed - Only PUT method is allowed
406Not Acceptable